using BibliotekaWspolna; // Customer

namespace Northwind.WebApi.Repozytoria;

public interface IRepozytoriumCustomer
{
  Task<Customer?> UtworzAsync(Customer k);
  Task<IEnumerable<Customer>> OdczytajWszystkoAsync();
  Task<Customer?> OdczytajAsync(string id);
  Task<Customer?> AktualizujAsync(string id, Customer c);
  Task<bool?> UsunAsync(string id);
}
